Skip to main content
POST
/
v1
/
{account_id}
/
fees
cURL
curl --request POST \
  --url https://api.sandbox.nest.pagosapi.com/v1/{account_id}/fees \
  --header 'Content-Type: application/json' \
  --data '
{
  "fee_id": "<string>",
  "settlement_currency": "<string>",
  "created": "<string>",
  "fee_details": {
    "fee_name": "<string>",
    "fee_category": "<string>",
    "interchange_qualification": "<string>"
  },
  "fee_amount_details": {
    "fee_amount": 1,
    "unit_quantity": 1,
    "unit_fee": 1,
    "unit_volume": 1,
    "percent_rate": 50
  },
  "transaction_details": {
    "presentment_currency": "<string>",
    "amount": 1
  },
  "pagos_codes": {},
  "payment_method_details": {
    "payment_method_type": "<string>",
    "card": {
      "attributes": {
        "network": "<string>",
        "type": "<string>"
      }
    }
  },
  "additional_data": {
    "merchant_account_id": "<string>",
    "metadata": {}
  }
}
'
import requests

url = "https://api.sandbox.nest.pagosapi.com/v1/{account_id}/fees"

payload = {
    "fee_id": "<string>",
    "settlement_currency": "<string>",
    "created": "<string>",
    "fee_details": {
        "fee_name": "<string>",
        "fee_category": "<string>",
        "interchange_qualification": "<string>"
    },
    "fee_amount_details": {
        "fee_amount": 1,
        "unit_quantity": 1,
        "unit_fee": 1,
        "unit_volume": 1,
        "percent_rate": 50
    },
    "transaction_details": {
        "presentment_currency": "<string>",
        "amount": 1
    },
    "pagos_codes": {},
    "payment_method_details": {
        "payment_method_type": "<string>",
        "card": { "attributes": {
                "network": "<string>",
                "type": "<string>"
            } }
    },
    "additional_data": {
        "merchant_account_id": "<string>",
        "metadata": {}
    }
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    fee_id: '<string>',
    settlement_currency: '<string>',
    created: '<string>',
    fee_details: {
      fee_name: '<string>',
      fee_category: '<string>',
      interchange_qualification: '<string>'
    },
    fee_amount_details: {fee_amount: 1, unit_quantity: 1, unit_fee: 1, unit_volume: 1, percent_rate: 50},
    transaction_details: {presentment_currency: '<string>', amount: 1},
    pagos_codes: {},
    payment_method_details: {
      payment_method_type: '<string>',
      card: {attributes: {network: '<string>', type: '<string>'}}
    },
    additional_data: {merchant_account_id: '<string>', metadata: {}}
  })
};

fetch('https://api.sandbox.nest.pagosapi.com/v1/{account_id}/fees', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Path Parameters

account_id
string
required

Body

application/json
fee_id
string
required

A unique value that identifies the fee. Maximum 255 characters.

Required string length: 1 - 255
settlement_currency
string
required

The settlement currency of the fee, represented by the 3-letter ISO-4217 currency code. Must be three characters.

Required string length: 3
created
string
required

The date when the fee was created, represented in ISO 8601 format (e.g. 2023-09-04T16:13:05Z).

fee_details
object
required
fee_amount_details
object
required
transaction_details
object
required
pagos_codes
object
required
payment_method_details
object | null
additional_data
object | null

Response

201 - undefined